package com.goafanti.activity.bo;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;
import com.goafanti.common.constant.AFTConstants;

public class ActivityListBo {
	private Long	id;

	/**
	 * 开始时间
	 */
	private Date	startTime;

	/**
	 * 结束时间
	 */
	private Date	endTime;

	/**
	 * 标题
	 */
	private String	name;

	/**
	 * 主办单位
	 */
	private String	host;

	/**
	 * 活动类型
	 */
	private Integer	type;

	/**
	 * 活动形式
	 */
	private Integer	form;

	/**
	 * 报名截止时间
	 */
	private Date	enrollDeadline;
	
	@JsonFormat(shape = Shape.STRING)
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getHost() {
		return host;
	}

	public void setHost(String host) {
		this.host = host;
	}
	
	@JsonFormat(shape = Shape.STRING)
	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}
	
	@JsonFormat(shape = Shape.STRING)
	public Integer getForm() {
		return form;
	}

	public void setForm(Integer form) {
		this.form = form;
	}

	public Date getEnrollDeadline() {
		return enrollDeadline;
	}

	public void setEnrollDeadline(Date enrollDeadline) {
		this.enrollDeadline = enrollDeadline;
	}

	public String getStartTimeFormattedDate() {
		if (this.startTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.startTime, AFTConstants.YYYYMMDDHHMMSS);
		}
	}

	public void setStartTimeFormattedDate(String startTimeFormattedDate) {

	}

	public String getEndTimeFormattedDate() {
		if (this.endTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.endTime, AFTConstants.YYYYMMDDHHMMSS);
		}
	}

	public void setEndTimeFormattedDate(String endTimeFormattedDate) {

	}

	public String getEnrollDeadlineFormattedDate() {
		if (this.enrollDeadline == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.enrollDeadline, AFTConstants.YYYYMMDDHHMMSS);
		}
	}

	public void setEnrollDeadlineFormattedDate(String enrollDeadlineFormattedDate) {

	}

}
